### Function Macro

# GLib message

since: 2.0

#### Declaration

    #define g_message (
      ...
    )

#### Description

A convenience function/macro to log a normal message.

If `g_log_default_handler()` is used as the log handler function, a new-line character will automatically be appended to @…, and need not be entered manually.

If structured logging is enabled, this will use `g_log_structured()`; otherwise it will use `g_log()`. See Using Structured Logging.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`...`

  Type: `-`

  Format string, followed by parameters to insert into the format string (as with `printf()`)